//Stand alone Ethernet unit arduino sketch - openenergymonitor.org GPL
//Author: Trystan Lea

//Libraries
#include <Ethernet.h>

//Sets the unique mac address for the ethernet board
byte mac[] = { 0xDE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
//Sets the IP address of the ethernet board
//You need to make sure this is in the right range.
//A good way to check is to find the ip of other things in your house like a laptop
//and set the ethernet to be a similar ip for example if your laptop is 
//192,168,1,45 set your ethernet ip to
//192,168,1,44 (as long as there is nothing else on this address)
byte ip[] = { 192, 168, 1, 44 };

//Router IP address
byte gateway[] = { 192, 168, 1, 253 };
//Server IP address
byte server[] = { 85, 92, 86, 84 }; //OpenEnergyMonitor.org shared server

//Setup a client
Client client(server, 80);

double lastValueSent = 100; 
double currentValue = 100;

void setup()   {                
  
  //Start ethernet, usb serial and xbee serial.
  Ethernet.begin(mac, ip, gateway);

  delay(1000);
  
}

void loop()                     
{

    //Send the data
    if (client.connect()) {   
      //Accessing a shared server requires the server domain name in here as there is no fixed ip address.
      //If your accessing a shared server you need to add your URL "GET http://yourwebsite.org/cgi-bin/post.pl?L="
      //This is because a shared server shares one fixed IP between many users, its the url that points to your website on the shared hosting.
      client.print("GET /cgi-bin/post.pl?L=");
      client.print(lastValueSent);
      client.print("&C=");
      client.print(currentValue);
      //Not sure if this line stops it working...?
      //client.println(" HTTP/1.1");
      client.println();
      client.stop();
    } else {
      //Serial.println("Failed to connect to client");
    }

    delay(2000);

}
